pub mod part_one;
pub mod part_two;
pub mod common;

use crate::utils::solution::Solution;
use crate::utils::input_reader;


pub struct Day9Solution;

impl Solution for Day9Solution {

    fn part_one(&self) -> String {
        input_reader::read_input_file("input/2023/day_09/input.txt", part_one::part_one)
    }

    fn part_two(&self) -> String {
        input_reader::read_input_file("input/2023/day_09/input.txt", part_two::part_two)
    }
}
